OSHMEM_INFO(1)

NAME
oshmem_info - Display information about the Open MPI installation

SYNOPSIS
oshmem_info [options]

DESCRIPTION

oshmem_info provides detailed information about the Open MPI/SHMEM installation. It can be useful for at least three common scenarios:

1. Checking local configuration and seeing how Open MPI/SHMEM was installed.

2. Submitting bug reports / help requests to the Open MPI/SHMEM community (see http://www.open-mpi.org/community/help/)

3. Seeing a list of installed Open MPI/SHMEM plugins and querying what MCA parameters they support.

OPTIONS
oshmem_info accepts the following options:

-a|--all
    Show all configuration options and MCA parameters

--arch
    Show architecture Open MPI/SHMEM was compiled on

-c|--config
    Show configuration options

-gmca|--gmca <param> <value>
    Pass global MCA parameters that are applicable to all contexts.

-h|--help
    Shows help / usage message

--hostname
    Show the hostname that Open MPI/SHMEM was configured and built on

--internal
    Show internal MCA parameters (not meant to be modified by users)

--level
    Show only variables with at most this level (1-9). The default is 1 unless --all is specified without --level in which case the default is 9. See the LEVEL section for more information.

-mca|--mca <param> <value>
    Pass context-specific MCA parameters; they are considered global if --gmca is not used and only one context is specified.

--param <type> <component>
    Show MCA parameters. The first parameter is the type of the component to display; the second parameter is the specific component to display (or the keyword "all", meaning "display all components of this type").

--parsable
    When used in conjunction with other parameters, the output is displayed in a machine-parsable format --parseable Synonym for --parsable

--path <type>
    Show paths that Open MPI/SHMEM was configured with. Accepts the following parameters: prefix, bindir, libdir, incdir, pkglibdir, sysconfdir.

--pretty
    When used in conjunction with other parameters, the output is displayed in 'prettyprint' format (default)

--selected-only
    Show only variables from selected components.

-V|--version
    Show version of Open MPI/SHMEM.

LEVELS

1   Basic information of interest to users

2   Detailed information of interest to users

3   All remaining information of interest to users

4   Basic information required for tuning

5   Detailed information required for tuning

6   All remaining information required for tuning

7   Basic information for MPI implementors

8   Detailed information for MPI implementors

9   All remaining information for MPI implementors

EXAMPLES

oshmem_info
    Show the default output of options and listing of installed components in a human-readable / prettyprint format.

oshmem_info --parsable
    Show the default output of options and listing of installed components in a machine-parsable format.

oshmem_info --param btl openib
    Show the MCA parameters of the "openib" BTL component in a human-readable / prettyprint format.

oshmem_info --param btl openib --parsable
    Show the MCA parameters of the "openib" BTL component in a machine-parsable format.

oshmem_info --path bindir
    Show the "bindir" that Open MPI was configured with.

oshmem_info --version ompi full --parsable
    Show the full version numbers of Open MPI/SHMEM (including the ORTE and OPAL version numbers) in a machine-readable format.

oshmem_info --version btl major
    Show the major version number of all BTL components in a prettyprint format.

oshmem_info --version btl:tcp minor
    Show the minor version number of the TCP BTL component in a prettyprint format.

oshmem_info --all
    Show all information about the Open MPI/SHMEM installation, including all components that can be found, the MCA parameters that they support, versions of Open MPI/SHMEM and the components, etc.

AUTHORS
The Open MPI/SHMEM maintainers -- see http://www.openmpi.org/ or the file AUTHORS.

This manual page was originally contributed by Dirk Eddelbuettel <edd@debian.org>, one of the Debian GNU/Linux maintainers for Open MPI, and may be used by others.